%define	name	kmediafactory
%define	version	0.5.2
%define	release	%mkrel 11

%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %name -d

%define __libtoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://aryhma.oy.cx/damu/software/kmediafactory/
Source0:	http://aryhma.oy.cx/damu/software/kmediafactory/%name-%version.tar.bz2
License:	GPLv2+
Group:		Publishing
Summary:	DVD menu generator
BuildRequires:	imagemagick-devel mjpegtools libmjpegtools-devel libdv-devel libdvdread-devel
BuildRequires:	libtheora-devel libxine-devel dvdauthor dvd-slideshow kdelibs-devel qt3-devel
BuildRequires:	zip
Buildrequires:	desktop-file-utils
%ifarch %{ix86} ppc
%if %mdkversion >= 200700
BuildRequires:	openoffice.org
%endif
%if %mdkversion < 200700
BuildRequires:	openoffice.org-go-ooo
%endif
%endif
%if %mdkversion > 200700
%ifarch x86_64 ppc64
BuildRequires:  openoffice.org64
%endif
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMediaFactory is an easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings
in three simple steps. 

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed by %{name}.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 0

%description -n	%{develname}
Development libraries and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x	--enable-final \
		--enable-shared \
		--disable-static \
		--disable-embedded \
		--disable-rpath \
		--with-gnu-ld \
		--with-pic \
		--with-xinerama \
		--with-extra-includes=%{_includedir}/ImageMagick
%make

%install
rm -rf %{buildroot}
%makeinstall_std UNOPKG=/bin/true

install -m644 icons/cr16-app-kmediafactory.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 icons/cr32-app-kmediafactory.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 icons/cr48-app-kmediafactory.png -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %buildroot%_datadir/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_datadir/applications/kde \
	--remove-category='Application' \
	--add-category='Qt;AudioVideoEditing' \
	%buildroot%_datadir/applnk/Utilities/*.desktop

%find_lang %{name} --all-name

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Utilities/kmediafactory.kcfg
%{_datadir}/apps/kmediafactory*
%{_datadir}/apps/kmfwidgets
%doc %{_docdir}/HTML/en/%{name}
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_libdir}/kde3/*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/*.h
%{_libdir}/lib*.so


%changelog
* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 0.5.2-11mdv2008.1
+ Revision: 182751
- add imagemagick includes
- fix url
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-8mdv2008.1
+ Revision: 146502
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 0.5.2-7mdv2008.1
+ Revision: 139083
- add kcfg files (maybe wrong location??)
- switch to xdg menu location
- New devel package name & license policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Antoine Ginies <aginies@mandriva.com> 0.5.2-6mdv2008.0
+ Revision: 39361
- add mandriva-create-kde-mdk-menu buildrequires

* Mon May 14 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.5.2-5mdv2008.0
+ Revision: 26718
- Rebuild with new libjasper.
- Updated URL field.


* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-4mdv2007.0
+ Revision: 97052
- bump
- no openoffice.org64 on 2007

* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-3mdv2007.1
+ Revision: 96879
- nail last buildrequires
- fix openoffice.org bildrequires
- fix yet another buildrequires
- I suck too hard at buildrequires
- yet another buildrequires
- fix buildrequires
- Rebuild
  fix buildrequires
- Import kmediafactory

* Fri Aug 11 2006 Antoine Ginies <aginies@mandriva.com> 0.5.2-2mdv2007.0
- rebuild for new dependencies

* Sat Jun 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-1mdv2007.0
- initial Mandriva release (club request)

